"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = exports.die = void 0;
const service_common_1 = require("@crosslab/service-common");
function die(reason) {
    service_common_1.logger.log('error', reason);
    process.exit(1);
}
exports.die = die;
exports.config = {
    PORT: parseInt(process.env.PORT ?? '3010'),
    PSK: process.env['AUTHORIZATION_PSK'] ?? die('AUTHORIZATION_PSK is not set'),
    JWT_SECRET: process.env['JWT_SECRET'] ?? die('JWT_SECRET is not set'),
};
//# sourceMappingURL=config.js.map